DYNAMIC
rtu_fd_create_entry
rtu_fd_flush
rtu_fd_init
rtu_fd_lookup_htab_entry
rtu_fd_set_aging_time
rtu_fd_set_hash_poly
STATIC

int rtu_fd_create_entry | ( | uint8_t | mac[ETH_ALEN],
|  | uint16_t | vid,
|  | uint32_t | port_map,
|  | int | dynamic
| ) |  |

Creates or updates a filtering entry in the filtering database.

Parameters:

  mac | MAC address specification
  vid | VLAN identifier
  port_map | a port map specification with a control element for each outbound port to specify filtering for that MAC address specification and VID
  dynamic | it indicates whether it's a dynamic entry

Returns:
  0 if entry was created or updated. -ENOMEM if no space is available.

All Classes Files Functions Variables Defines